Bug 1397257 - capture volume tunables in get-state dump
Summary: capture volume tunables in get-state dump
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Atin Mukherjee
QA Contact: Byreddy
URL:
Whiteboard:
Depends On: 1396807 1397352
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-11-22 04:37 UTC by Atin Mukherjee
Modified: 2017-03-23 06:20 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1396807
Environment:
Last Closed: 2017-03-23 06:20:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Atin Mukherjee 2016-11-22 04:37:44 UTC
+++ This bug was initially created as a clone of Bug #1396807 +++

Description of problem:

get-state output doesn't capture volinfo->dict

Version-Release number of selected component (if applicable):
mainline

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Worker Ant on 2016-11-20 07:53:07 EST ---

REVIEW: http://review.gluster.org/15889 (glusterd: dump volinfo->dict in gluster get-state) posted (#1) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 2 Atin Mukherjee 2016-11-22 04:38:38 UTC
upstream mainline patch http://review.gluster.org/15889 posted for review.

Comment 4 Atin Mukherjee 2016-11-22 11:21:34 UTC
upstream mainline : http://review.gluster.org/15889
upstream 3.9 : http://review.gluster.org/#/c/15900/
downstream patch : https://code.engineering.redhat.com/gerrit/90858

Comment 9 Atin Mukherjee 2016-12-01 14:14:15 UTC
upstream mainline patch : http://review.gluster.org/#/c/15975
upstream 3.9 patch : http://review.gluster.org/#/c/15993/
downstream patch : https://code.engineering.redhat.com/gerrit/#/c/91885/

Comment 11 Byreddy 2016-12-08 05:23:17 UTC
Verified this BZ using the 3.8.4-7 build,
Fix is working good, now gluster get-state is capturing the volume options (default and explicitly set options)

tested with two diff volume types with diff volume options

Volume1.rebalance.data: 0Bytes
Volume1.options.transport.address-family: inet
Volume1.options.performance.readdir-ahead: on
Volume1.options.nfs.disable: on



Volume2.rebalance.data: 0Bytes
Volume2.options.nfs.disable: off
Volume2.options.performance.io-cache: enable
Volume2.options.transport.address-family: inet
Volume2.options.performance.readdir-ahead: on

Moving to verified state based on above result.

Comment 13 errata-xmlrpc 2017-03-23 06:20:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.